#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetLCDString.h>
#include <GetRemoteControllerEulerian.h>
#include <SetLCD8Char.h>

int main(void)
{
    X2RCU_Init();
    int var0 = 0;
    SetLCDBack(1);
    SetLCDString(0, 0, "Remote Controller", YELLOW, BLACK);
    SetLCDString(0, 16, "Eulerian", YELLOW, BLACK);
    SetLCDString(0, 32, "Roll:", YELLOW, BLACK);
    SetLCDString(0, 48, "Pitch:", YELLOW, BLACK);
    SetLCDString(0, 64, "Yaw:", YELLOW, BLACK);
    while (1)
    {
        var0 = GetRemoteControllerEulerian(1);
        SetLCD8Char(48, 32, var0, YELLOW, BLACK);
        var0 = GetRemoteControllerEulerian(2);
        SetLCD8Char(48, 48, var0, YELLOW, BLACK);
        var0 = GetRemoteControllerEulerian(3);
        SetLCD8Char(48, 64, var0, YELLOW, BLACK);
    }
    return 1;
}

